Subject: Ticket Assigned - Return pick up delayed a month
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 02 Feb 2022 07:51:07 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return pick up delayed a month Dear sirs,

Is there a problem with your pick up return process?

My order number as follows and no one has come to pick up and I have waited
more then one month

9519553296
9521098026
9522356274

I have contacted customer service all they give me is a standard answer
asking me to wait and I have waited more than a month.

Now even your WhatsApp cs is not answering my question. Your cs should be
trained properly!!!

This is the upmost bad cs I have ever experienced!!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3805435